(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6762,        178]
NotebookOptionsPosition[      6432,        161]
NotebookOutlinePosition[      6789,        177]
CellTagsIndexPosition[      6746,        174]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Grid", "[", "  ", 
     RowBox[{"(*", 
      RowBox[{"This", " ", "is", " ", "a", " ", "2", "x1", " ", "grid"}], " ",
       "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"freq1", " ", "x"}], "+", "t"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"freq2", " ", "x"}], "-", "t"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[Pi]"}], ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"500", ",", "200"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"2", "/", "5"}]}]}], "]"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{
            RowBox[{"freq2", " ", "x"}], "-", "t"}], "]"}], "+", 
          RowBox[{"Sin", "[", 
           RowBox[{
            RowBox[{"freq1", " ", "x"}], "+", "t"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[Pi]"}], ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"500", ",", "200"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"2", "/", "5"}]}]}], "]"}], "}"}]}], " ", 
     "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"\"\<X1\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"freq1", ",", "1", ",", "\"\<frequency of wave 1\>\""}], 
        "}"}], ",", "1", ",", "10"}], "}"}]}], ",", 
    RowBox[{"\"\<X2\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"freq2", ",", "1", ",", "\"\<frequency of wave 2\>\""}], 
        "}"}], ",", "1", ",", "10"}], "}"}]}], ",", 
    RowBox[{"\"\<Y1Cyclic\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "\"\<time\>\""}], "}"}], ",", "0", ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6467332682515206`*^9, 3.646733321577571*^9}, {
  3.649070574047209*^9, 3.6490705810204763`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`freq1$$ = 1, $CellContext`freq2$$ = 
    1, $CellContext`t$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`freq1$$], 1, "frequency of wave 1"}, 1, 10}, {{
       Hold[$CellContext`freq2$$], 1, "frequency of wave 2"}, 1, 10}, {{
       Hold[$CellContext`t$$], 1, "time"}, 0, 2 Pi}}, Typeset`size$$ = {
    563., {324., 102.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`freq1$14521$$ = 
    0, $CellContext`freq2$14522$$ = 0, $CellContext`t$14523$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`freq1$$ = 1, $CellContext`freq2$$ = 
        1, $CellContext`t$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`freq1$$, $CellContext`freq1$14521$$, 0], 
        Hold[$CellContext`freq2$$, $CellContext`freq2$14522$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$14523$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{
         Plot[{
           Sin[$CellContext`freq1$$ $CellContext`x + $CellContext`t$$], 
           
           Sin[$CellContext`freq2$$ $CellContext`x - $CellContext`t$$]}, \
{$CellContext`x, (-2) Pi, 2 Pi}, PlotRange -> {-1.1, 1.1}, 
          ImageSize -> {500, 200}, AspectRatio -> 2/5]}, {
         Plot[
         Sin[$CellContext`freq2$$ $CellContext`x - $CellContext`t$$] + 
          Sin[$CellContext`freq1$$ $CellContext`x + $CellContext`t$$], \
{$CellContext`x, (-2) Pi, 2 Pi}, PlotRange -> {-2, 2}, 
          ImageSize -> {500, 200}, AspectRatio -> 2/5]}], 
      "Specifications" :> {
       "X1" -> {{$CellContext`freq1$$, 1, "frequency of wave 1"}, 1, 10}, 
        "X2" -> {{$CellContext`freq2$$, 1, "frequency of wave 2"}, 1, 10}, 
        "Y1Cyclic" -> {{$CellContext`t$$, 1, "time"}, 0, 2 Pi}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {283., 288.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.6467333131100864`*^9, 3.6467333225036235`*^9}, 
   3.649070586554839*^9}]
}, Open  ]]
},
WindowSize->{808, 848},
WindowMargins->{{201, Automatic}, {-37, Automatic}},
FrontEndVersion->"10.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 23, \
2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 3002, 80, 199, "Input"],
Cell[3585, 104, 2831, 54, 588, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

