(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9486,        242]
NotebookOptionsPosition[      8994,        221]
NotebookOutlinePosition[      9349,        237]
CellTagsIndexPosition[      9306,        234]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Grid", "[", " ", 
     RowBox[{"{", "    ", 
      RowBox[{"(*", 
       RowBox[{"This", " ", "is", " ", "a", " ", "2", "x1", " ", "grid"}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"freq1", " ", "x"}], "+", "t"}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"freq2", " ", "x"}], "-", "t"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "\[Pi]"}], ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"500", ",", "200"}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", 
           RowBox[{"2", "/", "5"}]}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"freq2", " ", "x"}], "-", "t"}], "]"}], "+", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"freq1", " ", "x"}], "+", "t"}], "]"}], 
            StyleBox[
             RowBox[{"(*", " ", ",", " ", "*)"}],
             Background->RGBColor[1, 1, 0]], 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[Pi]"}], ",", 
              RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"500", ",", "200"}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", 
           RowBox[{"2", "/", "5"}]}]}], "]"}], "}"}]}], " ", 
      "\[IndentingNewLine]", "}"}], "]"}], ",", " ", 
    StyleBox[
     RowBox[{"(*", " ", 
      RowBox[{"MISSING", " ", "A", " ", "COMMA"}], " ", "*)"}],
     Background->RGBColor[1, 1, 0]], "\[IndentingNewLine]", 
    RowBox[{"\"\<X1\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"freq1", ",", "1", ",", "\"\<frequency of wave 1\>\""}], 
        "}"}], ",", "1", ",", "10"}], "}"}]}], ",", 
    RowBox[{"\"\<X2\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"freq2", ",", "1", ",", "\"\<frequency of wave 2\>\""}], 
        "}"}], ",", "1", ",", "10"}], "}"}]}], ",", 
    RowBox[{"\"\<Y1Cyclic\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "\"\<time\>\""}], "}"}], ",", "0", ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.646733340357645*^9, 3.6467333756296625`*^9}, {
  3.64907054749256*^9, 3.649070565861642*^9}, {3.715357950431172*^9, 
  3.715357985887603*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`freq1$$ = 1, $CellContext`freq2$$ = 
    1, $CellContext`t$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`freq1$$], 1, "frequency of wave 1"}, 1, 10}, {{
       Hold[$CellContext`freq2$$], 1, "frequency of wave 2"}, 1, 10}, {{
       Hold[$CellContext`t$$], 1, "time"}, 0, 2 Pi}}, Typeset`size$$ = {
    601., {120.634033203125, 126.365966796875}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`freq1$17043$$ = 0, $CellContext`freq2$17044$$ = 
    0, $CellContext`t$17045$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`freq1$$ = 1, $CellContext`freq2$$ = 
        1, $CellContext`t$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`freq1$$, $CellContext`freq1$17043$$, 0], 
        Hold[$CellContext`freq2$$, $CellContext`freq2$17044$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$17045$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Plot[{
            Sin[$CellContext`freq1$$ $CellContext`x + $CellContext`t$$], 
            
            Sin[$CellContext`freq2$$ $CellContext`x - $CellContext`t$$]}, \
{$CellContext`x, (-2) Pi, 2 Pi}, PlotRange -> {-1.1, 1.1}, 
           ImageSize -> {500, 200}, AspectRatio -> 2/5]}, {
          Plot[
          Sin[$CellContext`freq2$$ $CellContext`x - $CellContext`t$$] + 
           Sin[$CellContext`freq1$$ $CellContext`x + $CellContext`t$$] \
{$CellContext`x, (-2) Pi, 2 Pi}, PlotRange -> {-2, 2}, 
           ImageSize -> {500, 200}, AspectRatio -> 2/5]}}], 
      "Specifications" :> {
       "X1" -> {{$CellContext`freq1$$, 1, "frequency of wave 1"}, 1, 10}, 
        "X2" -> {{$CellContext`freq2$$, 1, "frequency of wave 2"}, 1, 10}, 
        "Y1Cyclic" -> {{$CellContext`t$$, 1, "time"}, 0, 2 Pi}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{646., {194., 199.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6467333793978777`*^9, 3.649070590774572*^9, {3.715357960039926*^9, 
   3.715357968512838*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Plot", "::", "argr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\*RowBox[{\\\"Plot\\\"}]\\)\[NoBreak] \
called with 1 argument; \[NoBreak]\\!\\(\\*RowBox[{\\\"2\\\"}]\\)\[NoBreak] \
arguments are expected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/Plot\
\\\", ButtonNote -> \\\"Plot::argr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7153579688025217`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Plot", "::", "argr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\*RowBox[{\\\"Plot\\\"}]\\)\[NoBreak] \
called with 1 argument; \[NoBreak]\\!\\(\\*RowBox[{\\\"2\\\"}]\\)\[NoBreak] \
arguments are expected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/Plot\
\\\", ButtonNote -> \\\"Plot::argr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.715357976296777*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Plot", "::", "argr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\*RowBox[{\\\"Plot\\\"}]\\)\[NoBreak] \
called with 1 argument; \[NoBreak]\\!\\(\\*RowBox[{\\\"2\\\"}]\\)\[NoBreak] \
arguments are expected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/Plot\
\\\", ButtonNote -> \\\"Plot::argr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.715357986029323*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Plot", "::", "argr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\*RowBox[{\\\"Plot\\\"}]\\)\[NoBreak] \
called with 1 argument; \[NoBreak]\\!\\(\\*RowBox[{\\\"2\\\"}]\\)\[NoBreak] \
arguments are expected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/Plot\
\\\", ButtonNote -> \\\"Plot::argr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7153580150263357`*^9}]
}, Open  ]]
},
WindowSize->{808, 848},
WindowMargins->{{305, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.4 for Mac OS X x86 (32-bit, 64-bit Kernel) (April 11, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 3430, 90, 199, "Input"],
Cell[4013, 114, 2893, 56, 410, "Output"],
Cell[6909, 172, 516, 10, 24, "Message"],
Cell[7428, 184, 514, 10, 24, "Message"],
Cell[7945, 196, 514, 10, 24, "Message"],
Cell[8462, 208, 516, 10, 24, "Message"]
}, Open  ]]
}
]
*)

